Skip to content

Get interaction notes for a person

Request

Security
oauth2(Required scopes: note:read) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

Query
limitinteger, [ 1 .. 100 ]

The maximum count of results to retrieve.

Default:25
startingAfterstring

Return results starting after the provided object identifier.

endingBeforestring

Return results ending before the provided object identifier.

sortByArray of strings

The data attributes by which to sort the results.

includeArchivedboolean

Include archived notes into the result

Default:false
pinnedboolean or null

If true, show only pinned notes. If false, exclude them. If null, do no filtering.

Default:null
channelsArray of strings

Only include notes for the interactions with the specified channels.

GET
/people/{personId}/interaction-notes
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/interaction-notes?limit=25&startingAfter=string&endingBefore=string&sortBy=string&includeArchived=false&pinned=%7Bpinned%7D&channels=voice' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
countintegerread-only

Number of items returned by the current request.

nextUrlstring or nullread-only

URL of the next set of results.

previousUrlstring or nullread-only

URL of the previous set of results.

statusinteger

HTTP status code.

totalintegerread-only

Total number of items in this result.

dataArray of objects(A borrower, case, supercase or interaction note)
Response
{ "count": 0, "nextUrl": "string", "previousUrl": "string", "status": 0, "total": 0, "data": [ { … } ] }